<?php

namespace App\Enums;

use App\Traits\Enums\WithCommentEnum;
use App\Traits\Enums\WithValueEnum;

enum PointRecordType: int
{
    use WithCommentEnum, WithValueEnum;

    case TIER = 1;
    case REWARD = 2;

    public function label(): string
    {
        return match ($this) {
            self::TIER => 'Tier',
            self::REWARD => 'Hadiah',
        };
    }

    public function color(): string
    {
        return match ($this) {
            self::TIER => 'emerald',
            self::REWARD => 'blue',
        };
    }
}
